import React from 'react';
import { IntlProvider } from 'react-intl';
import { storiesOf } from '@storybook/react';
import { withKnobs, text, boolean } from '@storybook/addon-knobs';
import { CalcAmount } from './calc-amount';
import '../../../theme/index.scss';

const styles = {
  width: '465px',
  padding: '40px 40px 48px 40px',
  margin: 'auto',
  border: 'solid 1px rgba(0, 0, 0, 0.04)',
  borderRadius: '6px',
};

const props = {
  onEthChange: () => {},
  onScrChange: () => {},
  onContinueClick: () => {},
};

storiesOf('Refill balance', module)
  .addDecorator(withKnobs)
  .add('CalcAmount', () => (
    <IntlProvider locale="en">
      <div style={{ ...styles }}>
        <CalcAmount
          {...props}
          rate={text('rate', '0.05')}
          ethValue={text('ethValue', '1')}
          scrValue={text('scrValue', '120')}
          maxAmount={text('maxAmount', '1000')}
          isEthLoading={boolean('isEthLoading', false)}
          isScrLoading={boolean('isScrLoading', false)}
          isMaxAmountLoading={boolean('isMaxAmountLoading', false)}
        />
      </div>
    </IntlProvider>));
