import React from 'react';

import { ChoosePayment } from './choose-payment';

const props = {
  onEthClick: jest.fn(),
};
let wrapper;

describe('<ChoosePayment />', () => {
  wrapper = shallow(<ChoosePayment {...props} />);

  test('should match snapshot', () => {
    expect(wrapper).toMatchSnapshot();
  });

  test('onFiatClick should set `isShow` to true', () => {
    wrapper.instance().onFiatClick();
    expect(wrapper.instance().state.isShow).toEqual(true);
  });

  test('click on `eth methond` should trigger `onEthClick` prop', () => {
    wrapper.find('.step').first().simulate('click');
    expect(props.onEthClick).toHaveBeenCalledTimes(1);
  });
});
