import { canUseDOM } from './general';

const event = ({ category = '', action = '', fbCategory = '' }) => {
  if (canUseDOM()) {
    if (window.gtag) {
      window.gtag('event', action, {
        event_category: category,
      });
    }

    if (window.fbq) {
      window.fbq('trackCustom', fbCategory || `${category}_${action}`.replace(/ /ig, '_'));
    }

    if (process.env.PROJECT_ENV !== 'production') {
      console.log('GTAG:', 'event', category, action);
    }
  }
};

const setUser = (userId) => {
  if (canUseDOM() && window.gtag) {
    window.gtag('set', { user_id: userId });

    if (process.env.PROJECT_ENV !== 'production') {
      console.log('GTAG:', 'setUserId', userId);
    }
  }
};

const trackPage = (page) => {
  if (canUseDOM() && window.GoogleAnalyticsObject) {
    const gobj = window[window.GoogleAnalyticsObject];
    gobj('set', 'page', page);
    gobj('send', 'pageview');

    if (process.env.PROJECT_ENV !== 'production') {
      console.log('GA:', 'pageview', page);
    }
  }
};

export default {
  event,
  trackPage,
  setUser,
};
